<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      >
    <h:body>
        <ui:composition template="../layout_p.xhtml">
            <ui:define name="titulo">>MusicApp | Archivos</ui:define>   
            <ui:define name="encabezado">Gestor Archivos</ui:define>

            <ui:define name="contenido"> 
                <h:form enctype="multipart/form-data"> 
                    <div class="row">
                        <div class="col-xs-12">
                            <div class="box">
                                <div class="box-header">
                                    <h3 class="box-title">Mis Archivos</h3>                                   
                                </div>

                            </div>
                            <div class="form-group">
                                <label for="recursos">Subir Archivo</label>
                                <h:inputFile value="#{archivoBean.recurso}"/>
                            </div>
                            <label for="descripcion" class="control-label">
                                Descripción
                            </label>
                            <h:inputText value="#{archivoBean.archivo.descripcion}" 
                                         class="form-control" />
                            <br/>
                            <div>
                                <h:commandButton value="Guardar" 
                                                 class="btn btn-primary btn-flat"
                                                 action="#{archivoBean.registrarImagen}"/>                                
                            </div>
                        </div>
                    </div>
                </h:form>
                <div class="row">
                    <div class="col-xs-12">
                        <div class="box">
                            <!-- /.box-header -->
                            <div class="box-body table-responsive no-padding">
                                <table class="table table-hover">
                                    <thead>
                                        <tr>
                                            <th>Fecha Creación</th>
                                            <th>Descripción</th>
                                            <th>Previsualización</th>                                            
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <ui:repeat value="#{archivoBean.listarArchivos()}" var="archivo" varStatus="estado">
                                            <tr>
                                                <td>#{archivo.fecha_registro}</td>
                                                <td>#{archivo.descripcion}</td>
                                                <td><h:graphicImage class="user-image" library="mis_recursos" name="#{archivo.recurso}" height="150" alt="User Image" /></td>
                                            </tr>
                                        </ui:repeat>
                                    </tbody>
                                </table>
                            </div>
                            <!-- /.box-body -->
                        </div>
                        <!-- /.box -->
                    </div>     
                </div>
            </ui:define>  
        </ui:composition>
    </h:body> 
</html>